| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ControlViewerControl Class Reference
Inheritance diagram for IG.Forms.ControlViewerControl:
[legend]
Collaboration diagram for IG.Forms.ControlViewerControl:
[legend]

## Public Member Functions
| ControlViewerControl ()
| ControlViewerControl (Control viewedControl)
void | ShowControl (Type controlType)

## Static Public Member Functions
static Control | CreateNewControl (Type controlType, bool throwIfIncorrectType)

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
bool | ShowDummyContents`[get, set]`
| Whether the dummy contents of the contaier that holds the viewed control is shown. More...
Control | DisplayedControl`[get, set]`
| Gets or sets the control that is displayed by the current control. More...

## Private Member Functions
void | btnCloseControls_Click (object sender, EventArgs e)
void | btnZoomOut_Click (object sender, EventArgs e)
void | btnZoomIn_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
bool | _showDummyContents = true
Control | _displayedControl = null
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.FlowLayoutPanel | flowLayoutPanel1
System.Windows.Forms.FlowLayoutPanel | pnlControlContainer
System.Windows.Forms.Button | btnControlPosition
System.Windows.Forms.Panel | pnlControls
System.Windows.Forms.Label | lblControls
System.Windows.Forms.Button | btnCloseControls
System.Windows.Forms.Button | btnTest
System.Windows.Forms.Button | btnZoomIn
System.Windows.Forms.Button | btnZoomOut
System.Windows.Forms.Button | btnUnderConstruction_To_Delete

## Constructor & Destructor Documentation

IG.Forms.ControlViewerControl.ControlViewerControl | ( |  | ) |
| inline

IG.Forms.ControlViewerControl.ControlViewerControl | ( | Control | viewedControl | ) |
| inline

## Member Function Documentation

static Control IG.Forms.ControlViewerControl.CreateNewControl | ( | Type | controlType,
|  | bool | throwIfIncorrectType
| ) |  |
| inline static

void IG.Forms.ControlViewerControl.ShowControl | ( | Type | controlType | ) |
| inline

void IG.Forms.ControlViewerControl.btnCloseControls_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ControlViewerControl.btnZoomOut_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ControlViewerControl.btnZoomIn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.ControlViewerControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.ControlViewerControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

bool IG.Forms.ControlViewerControl._showDummyContents = true
| private

Control IG.Forms.ControlViewerControl._displayedControl = null
| private

System.ComponentModel.IContainer IG.Forms.ControlViewerControl.components = null
| private

Required designer variable.

System.Windows.Forms.FlowLayoutPanel IG.Forms.ControlViewerControl.flowLayoutPanel1
| private

System.Windows.Forms.FlowLayoutPanel IG.Forms.ControlViewerControl.pnlControlContainer
| private

System.Windows.Forms.Button IG.Forms.ControlViewerControl.btnControlPosition
| private

System.Windows.Forms.Panel IG.Forms.ControlViewerControl.pnlControls
| private

System.Windows.Forms.Label IG.Forms.ControlViewerControl.lblControls
| private

System.Windows.Forms.Button IG.Forms.ControlViewerControl.btnCloseControls
| private

System.Windows.Forms.Button IG.Forms.ControlViewerControl.btnTest
| private

System.Windows.Forms.Button IG.Forms.ControlViewerControl.btnZoomIn
| private

System.Windows.Forms.Button IG.Forms.ControlViewerControl.btnZoomOut
| private

System.Windows.Forms.Button IG.Forms.ControlViewerControl.btnUnderConstruction_To_Delete
| private

## Property Documentation

bool IG.Forms.ControlViewerControl.ShowDummyContents
| get set

Whether the dummy contents of the contaier that holds the viewed control is shown.

Showing dummy contents (usually just a button) can serve to verify that layout of the form is rendered correctly.

Control IG.Forms.ControlViewerControl.DisplayedControl
| get set

Gets or sets the control that is displayed by the current control.

The documentation for this class was generated from the following files:

- igforms/Utilities/Viewers/ControlViewerControl.cs
- igforms/Utilities/Viewers/ControlViewerControl.Designer.cs